org.eclipse.microprofile.fault.tolerance.tck.bulkhead.lifecycle

## Class MutlipleMethodsBulkheadLifecycleService

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.lifecycle.MutlipleMethodsBulkheadLifecycleService

    @Dependent
     @Bulkhead(value=8)
    public class MutlipleMethodsBulkheadLifecycleService
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MutlipleMethodsBulkheadLifecycleService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `service1(Barrier barrier)`
`void` `service2(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MutlipleMethodsBulkheadLifecycleService

    public MutlipleMethodsBulkheadLifecycleService()

### Method Detail

#### service1

    public void service1(Barrier barrier)

#### service2

    public void service2(Barrier barrier)